> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/flexlayoutpanel/wisej.web.flexlayoutstyle.md).

# FlexLayoutStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Used by the [LayoutStyle](/api/wisej.web/containers/flexlayoutpanel.md#layoutstyle) property to determines the layout engine used to arrange the child controls in the panel.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum FlexLayoutStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum FlexLayoutStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                             |
| -------------- | --------------------------------------------------------------------------------------- |
| **Default**    | Child controls are arranged according to the location, dock style and anchoring values. |
| **Horizontal** | Child controls are arranged horizontally using their margin and alignment properties.   |
| **Vertical**   | Child controls are arranged vertically using their margin and alignment properties.     |

## Used By

| Name                                                                                                                                            | Description                                                                                             |
| ----------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| [FlexLayoutPanel.LayoutStyle](/api/wisej.web/containers/flexlayoutpanel.md#layoutstyle)                                                         | Determines the layout engine to use to arrange the panel's child controls.                              |
| [FlexLayoutPanelExtensions.LayoutStyle](/api/wisej.web.markup/extensions/wisej.web.markup.flexlayoutpanelextensions.md#layoutstyle-panel-value) | Sets the layout style of the specified [FlexLayoutPanel](/api/wisej.web/containers/flexlayoutpanel.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/flexlayoutpanel/wisej.web.flexlayoutstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
